diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/test.h ns-3.31/src/core/model/test.h
--- ns-3.30.1/src/core/model/test.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/test.h	2020-06-27 17:38:30.000000000 -0700
@@ -684,29 +682,29 @@
 
 /**
  * \ingroup testingimpl
- * \brief Test that an actual and expected (limit) value are not equal and 
+ * \brief Test that an actual and expected (limit) value are not equal and
  * report if not.
- * 
- * Required to avoid use of return statement which allows use in methods 
+ *
+ * Required to avoid use of return statement which allows use in methods
  * (callbacks) returning void.
  */
 #define NS_TEST_EXPECT_MSG_NE_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) != (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) != " +    \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-      }                                                                 \
-  } while (false)
+      if (!((actual) != (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) != " +  \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -723,12 +721,12 @@
  * The message is interpreted as a stream, for example:
  *
  * \code
- * NS_TEST_EXPECT_MSG_NE (result, false, 
+ * NS_TEST_EXPECT_MSG_NE (result, false,
  *      "cannot open file " << filename << " in test");
  * \endcode
  *
  * is legal.
- * 
+ *
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the value that actual is tested against.
  * \param [in] msg Message that is output if the test does not pass.
@@ -750,22 +748,22 @@
  */
 #define NS_TEST_ASSERT_MSG_LT_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) < (limit)))                                          \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) < " +     \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-        CONTINUE_ON_FAILURE;                                            \
-      }                                                                 \
-  } while (false)
+      if (!((actual) < (limit)))                                        \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) < " +   \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+          CONTINUE_ON_FAILURE;                                          \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testingimpl
@@ -774,22 +772,22 @@
  */
 #define NS_TEST_ASSERT_MSG_LT_OR_EQ_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) <= (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) < " +     \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-        CONTINUE_ON_FAILURE;                                            \
-      }                                                                 \
-  } while (false)
+      if (!((actual) <= (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) < " +   \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+          CONTINUE_ON_FAILURE;                                          \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -835,27 +833,27 @@
 /**
  * \ingroup testingimpl
  * \brief Test that an actual value is less than a limit and report if not.
- * 
- * Required to avoid use of return statement which allows use in methods 
+ *
+ * Required to avoid use of return statement which allows use in methods
  * (callbacks) returning void.
  */
 #define NS_TEST_EXPECT_MSG_LT_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) < (limit)))                                          \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) < " +     \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-      }                                                                 \
-  } while (false)
+      if (!((actual) < (limit)))                                        \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) < " +   \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testingimpl
@@ -867,21 +865,21 @@
  */
 #define NS_TEST_EXPECT_MSG_LT_OR_EQ_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) <= (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) < " +     \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-      }                                                                 \
-  } while (false)
+      if (!((actual) <= (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) < " +   \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -935,22 +933,22 @@
  */
 #define NS_TEST_ASSERT_MSG_GT_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) > (limit)))                                          \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) > " +     \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-        CONTINUE_ON_FAILURE;                                            \
-      }                                                                 \
-  } while (false)
+      if (!((actual) > (limit)))                                        \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) > " +   \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+          CONTINUE_ON_FAILURE;                                          \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testingimpl
@@ -959,22 +957,22 @@
  */
 #define NS_TEST_ASSERT_MSG_GT_OR_EQ_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) >= (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) > " +     \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-        CONTINUE_ON_FAILURE;                                            \
-      }                                                                 \
-  } while (false)
+      if (!((actual) >= (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) > " +   \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+          CONTINUE_ON_FAILURE;                                          \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -1021,27 +1019,27 @@
 /**
  * \ingroup testingimpl
  * \brief Test that an actual value is greater than a limit and report if not.
- * 
- * Required to avoid use of return statement which allows use in methods 
+ *
+ * Required to avoid use of return statement which allows use in methods
  * (callbacks) returning void.
  */
 #define NS_TEST_EXPECT_MSG_GT_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) > (limit)))                                          \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) > " +     \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-      }                                                                 \
-  } while (false)
+      if (!((actual) > (limit)))                                        \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) > " +   \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testingimpl
@@ -1053,21 +1051,21 @@
  */
 #define NS_TEST_EXPECT_MSG_GT_OR_EQ_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) >= (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) > " +     \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-      }                                                                 \
-  } while (false)
+      if (!((actual) >= (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) > " +   \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -1127,7 +1125,7 @@
  *
  * This routine is based on the GNU Scientific Library function
  * gsl_fcmp.
- * 
+ *
  * \param [in] a The first of double precision floating point
  *               numbers to compare
  * \param [in] b The second of double precision floating point
@@ -1136,7 +1134,7 @@
  * \returns Returns \c true if the doubles are equal to a precision
  *          defined by epsilon
  */
-bool TestDoubleIsEqual (const double a, const double b, 
+bool TestDoubleIsEqual (const double a, const double b,
                         const double epsilon = std::numeric_limits<double>::epsilon ());
 
 class TestRunnerImpl;
@@ -1156,7 +1154,8 @@
 {
 public:
   /** \brief How long the test takes to execute. */
-  enum TestDuration {
+  enum TestDuration
+  {
     QUICK         = 1,  //!< Fast test.
     EXTENSIVE     = 2,  //!< Medium length test.
     TAKES_FOREVER = 3   //!< Very long running test.
@@ -1170,7 +1169,7 @@
   /**
    * \return The name of this test
    */
-  std::string GetName (void) const;  
+  std::string GetName (void) const;
 
 protected:
   /**
@@ -1241,11 +1240,11 @@
    * \param [in] limit Expected value of the test.
    * \param [in] message Message indicating the type of failure.
    * \param [in] file The file where the test failed.
-   * \param [in] line The line number in \p file where the test failed.
+   * \param [in] line The line number in \pname{file} where the test failed.
    */
-  void ReportTestFailure (std::string cond, std::string actual, 
-                      std::string limit, std::string message, 
-                      std::string file, int32_t line);
+  void ReportTestFailure (std::string cond, std::string actual,
+                          std::string limit, std::string message,
+                          std::string file, int32_t line);
   /**
    * \brief Check if this run should assert on failure.
    *
@@ -1264,7 +1263,7 @@
    * The data directory is configured by SetDataDirectory().
    *
    * \param [in] filename The bare (no path) file name
-   * \return The full path to \p filename in the data directory
+   * \return The full path to \pname{filename} in the data directory
    */
   std::string CreateDataDirFilename (std::string filename);
   /**
@@ -1274,12 +1273,14 @@
    *  the data directory instead.
    *
    * \param [in] filename The bare (no path) file name
-   * \return The full path to \p filename in the temporary directory.
+   * \return The full path to \pname{filename} in the temporary directory.
    */
   std::string CreateTempDirFilename (std::string filename);
   /**@}*/
-  
+
 private:
+
+  /** Needs access to the TestCase data members. */
   friend class TestRunnerImpl;
 
   /**
@@ -1346,9 +1347,9 @@
    * \enum Type
    * \brief Type of test.
    */
-  enum Type {
+  enum Type
+  {
     ALL = 0,    //!<
-    BVT = 1,    //!< This test suite implements a Build Verification Test
     UNIT,       //!< This test suite implements a Unit Test
     SYSTEM,     //!< This test suite implements a System Test
     EXAMPLE,    //!< This test suite implements an Example Test
@@ -1423,7 +1424,7 @@
 
   /**
    * \param [in] vector The test vector to add
-   * 
+   *
    * \returns The new test vector index
    */
   std::size_t Add (T vector);
@@ -1448,8 +1449,7 @@
 template <typename T>
 TestVectors<T>::TestVectors ()
   : m_vectors ()
-{
-}
+{}
 
 template <typename T>
 void
@@ -1460,8 +1460,7 @@
 
 template <typename T>
 TestVectors<T>::~TestVectors ()
-{
-}
+{}
 
 template <typename T>
 std::size_t
@@ -1487,6 +1486,6 @@
   return m_vectors[i];
 }
 
-} // namespace ns3 
+} // namespace ns3
 
 #endif /* NS3_TEST_H */
